/**
 * An asteroid that floats through space.
 * 
 * @author CS159 Instructors
 * @version s23
 */
public class Asteroid extends Enemy {

    public static final int ASTEROID_SPEED = 1;

    /**
     * Constructs an asteroid of the given size.
     * 
     * @param size the size of asteroid
     */
    public Asteroid(AsteroidSize size) {
        super(ASTEROID_SPEED, size.getRadius(), size.getPoints());
    }

    @Override
    public void draw() {
        StdDraw.circle(pose.getX(), pose.getY(), radius);
    }

}
